#drawer {
	display: none;
}

label {
	cursor: pointer;
	position: fixed;
}

.open {
	z-index: 30;
	top: 8px;
	right: 8px;
	width: 48px;
	height: 48px;
	border-radius: 48px;
	background: rgba(255,255,255,0.8);
	transition: background .6s, transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.open::before,
.open::after {
	content: "";
}

.open span,
.open::before,
.open::after {
	content: "";
	position: absolute;
	top: calc(50% - 1px);
	left: 30%;
	width: 40%;
	border-bottom: 2px solid #454545;
	transition: transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}

.open::before {
	transform: translateY(-8px);
}

.open::after {
	transform: translateY(8px);
}

.open:hover{background: rgba(255,255,255,1);}
.close {
	z-index: 25;
	inset: 0;
	pointer-events: none;
	transition: background .6s;
}

#drawer:checked + .open {
	background: rgba(255,255,255,0.8);
	transform: translateX(-280px);
}

#drawer:checked + .open span {
	transform: scaleX(0);
}

#drawer:checked + .open::before {
	transform: rotate(135deg) scaleX(1.2);
}

#drawer:checked + .open::after {
	transform: rotate(-135deg) scaleX(1.2);
}

#drawer:checked + .open:hover {
	background: rgba(255,255,255,1);
}

#drawer:checked ~ .close {
	pointer-events: auto;
	background: rgba(0,0,0,.3);
}

/* :::::: drawer menu :::::: */
#drawermenu {
	z-index: 25;
	position: fixed;
	overflow: auto;
	top: 0;
	right: 0;
	width: 280px!important;
	height: 100%;
	margin: 0;
	padding: 20px;
	box-sizing: border-box;
	background: rgba(0,0,0,0.50);
	transform: translateX(100%);
	transition: transform .6s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#drawermenuinner{
	background-color: #FFFFFF;
	background-image: linear-gradient(135deg, rgba(186, 186, 186, 0.03) 0%, rgba(186, 186, 186, 0.03) 10%,rgba(133, 133, 133, 0.03) 10%, rgba(133, 133, 133, 0.03) 14%,rgba(38, 38, 38, 0.03) 14%, rgba(38, 38, 38, 0.03) 17%,rgba(93, 93, 93, 0.03) 17%, rgba(93, 93, 93, 0.03) 25%,rgba(80, 80, 80, 0.03) 25%, rgba(80, 80, 80, 0.03) 45%,rgba(239, 239, 239, 0.03) 45%, rgba(239, 239, 239, 0.03) 100%),linear-gradient(135deg, rgba(236, 236, 236, 0.03) 0%, rgba(236, 236, 236, 0.03) 47%,rgba(182, 182, 182, 0.03) 47%, rgba(182, 182, 182, 0.03) 63%,rgba(223, 223, 223, 0.03) 63%, rgba(223, 223, 223, 0.03) 81%,rgba(86, 86, 86, 0.03) 81%, rgba(86, 86, 86, 0.03) 89%,rgba(23, 23, 23, 0.03) 89%, rgba(23, 23, 23, 0.03) 90%,rgba(226, 226, 226, 0.03) 90%, rgba(226, 226, 226, 0.03) 100%),linear-gradient(45deg, rgba(52, 52, 52, 0.03) 0%, rgba(52, 52, 52, 0.03) 31%,rgba(246, 246, 246, 0.03) 31%, rgba(246, 246, 246, 0.03) 63%,rgba(188, 188, 188, 0.03) 63%, rgba(188, 188, 188, 0.03) 71%,rgba(15, 15, 15, 0.03) 71%, rgba(15, 15, 15, 0.03) 87%,rgba(127, 127, 127, 0.03) 87%, rgba(127, 127, 127, 0.03) 93%,rgba(234, 234, 234, 0.03) 93%, rgba(234, 234, 234, 0.03) 100%),linear-gradient(90deg, rgb(255,255,255,0),rgb(255,255,255,0));
	padding: 10px;
	outline: 1px solid #dfdfdf;
}

#drawermenu ul li {
	line-height: 1.4;
	transition: background .6s;
}

#drawermenu ul li:not(:last-child){
	border-bottom: 1px solid #efefef;
}

#drawermenu ul li a {
	display: block;
	padding: 1em;
	text-decoration: inherit;
}

#drawermenu ul li:hover {
	background: #FFFFFF;
}

#reserve_menu h2 a::before,
#reserve_menu p a::before,
#drawermenu li a::before {
	font-family: "Font Awesome 5 Free";
	content: "\f0da";
	font-weight: bold;
	margin-right: 10px;
	font-size: 9px;
}

#drawermenu-web,
#drawermenu-camera,
#drawermenu-movie,
#drawermenu-visual{
	padding-left: 15px;
}

#drawermenu-web a::before,
#drawermenu-camera a::before,
#drawermenu-movie a::before,
#drawermenu-visual a::before{
	content: ""!important;
	display: inline-block!important;
	vertical-align: middle;
	width: 30PX;
	height: 30PX;
	margin-right: 10PX;
}

#drawermenu-web a::before{
	background: url("../../img/icon_pc.svg")no-repeat!important;
	background-size: contain!important;
}

#drawermenu-camera a::before{
	background: url("../../img/icon_camera.svg")no-repeat!important;
	background-size: contain!important;
}

#drawermenu-movie a::before{
	background: url("../../img/icon_movie.svg")no-repeat!important;
	background-size: contain!important;
}

#drawermenu-visual a::before{
	background: url("../../img/icon_visual.svg")no-repeat!important;
	background-size: contain!important;
}

#drawer:checked ~ #drawermenu {
	transform: none;
}


@media screen and (min-width:667px) {
	.open {
		/*display: none!important;*/
}
}

